#version 450

layout(location = 0) in vec3 inUVW;

layout(binding = 1) uniform samplerCube skyboxSampler;

layout(location = 0) out vec4 outColor;

void main() {
    // Sample cubemap using 3D texture coordinates
    outColor = texture(skyboxSampler, inUVW);
}